io.swagger.client.model

## Class WorkflowFunction

- java.lang.Object
- - io.swagger.client.model.WorkflowFunction

-     public class WorkflowFunction
      extends Object

  WorkflowFunction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkflowFunction` | `addParametersItem(WorkflowFunctionParameter parametersItem)`
    `WorkflowFunction` | `description(String description)`
    `WorkflowFunction` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDescription()` Get description
    `String` | `getDisplayName()` Get displayName
    `Integer` | `getId()` Get id
    `String` | `getName()` Get name
    `List<WorkflowFunctionParameter>` | `getParameters()` Get parameters
    `Integer` | `getWorkflowId()` Get workflowId
    `int` | `hashCode()`
    `WorkflowFunction` | `id(Integer id)`
    `WorkflowFunction` | `name(String name)`
    `WorkflowFunction` | `parameters(List<WorkflowFunctionParameter> parameters)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setId(Integer id)`
    `void` | `setName(String name)`
    `void` | `setParameters(List<WorkflowFunctionParameter> parameters)`
    `void` | `setWorkflowId(Integer workflowId)`
    `String` | `toString()`
    `WorkflowFunction` | `workflowId(Integer workflowId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowFunction

          public WorkflowFunction()

  - ### Method Detail

    - #### id

          public WorkflowFunction id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### name

          public WorkflowFunction name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### description

          public WorkflowFunction description(String description)

    - #### getDescription

          public String getDescription()

      Get description
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### displayName

          public WorkflowFunction displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### parameters

          public WorkflowFunction parameters(List<WorkflowFunctionParameter> parameters)

    - #### addParametersItem

          public WorkflowFunction addParametersItem(WorkflowFunctionParameter parametersItem)

    - #### getParameters

          public List<WorkflowFunctionParameter> getParameters()

      Get parameters
      Returns:
        parameters

    - #### setParameters

          public void setParameters(List<WorkflowFunctionParameter> parameters)

    - #### workflowId

          public WorkflowFunction workflowId(Integer workflowId)

    - #### getWorkflowId

          public Integer getWorkflowId()

      Get workflowId
      Returns:
        workflowId

    - #### setWorkflowId

          public void setWorkflowId(Integer workflowId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.